Loading...
Searching...
No Matches
GeoConvert.cpp File Reference

Command line utility for geographic coordinate conversions. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/GeoCoords.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/MGRS.hpp>`
`#include "GeoConvert.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for geographic coordinate conversions.

Copyright (c) Charles Karney (2008-2017) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file GeoConvert.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 23 of file GeoConvert.cpp.

References GeographicLib::GeoCoords::AltConvergence(), GeographicLib::GeoCoords::AltMGRSRepresentation(), GeographicLib::GeoCoords::AltScale(), GeographicLib::GeoCoords::AltUTMUPSRepresentation(), GeographicLib::GeoCoords::AltZone(), GeographicLib::MGRS::Check(), GeographicLib::UTMUPS::DecodeZone(), GeographicLib::GeoCoords::DMSRepresentation(), GeographicLib::Math::extra_digits(), GeographicLib::GeoCoords::GeoRepresentation(), GeographicLib::UTMUPS::MATCH, GeographicLib::UTMUPS::MAXZONE, GeographicLib::UTMUPS::MINZONE, GeographicLib::GeoCoords::Northp(), GeographicLib::GeoCoords::Reset(), GeographicLib::Utility::set_digits(), GeographicLib::GeoCoords::SetAltZone(), GeographicLib::UTMUPS::STANDARD, GeographicLib::Utility::str(), usage(), GeographicLib::UTMUPS::UTM, and GeographicLib::Utility::val().